/*  init.cpp - 
    This file is part of Kalamaris
    Copyright (C) 2000  Antonio Larrosa Jimenez
    Kalamaris' homepage : http://devel-home.kde.org/~larrosa/kalamaris.html

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 

    Send comments and bug fixes to Antonio Larrosa <larrosa@kde.org>

 ***************************************************************************/
#include "clear.h"
#include "plotdata.h"
#include "animatedata.h"
#include "evalfunc.h"
#include "ccolor.h"
#include "setplotcolor.h"
#include "animatedata3d.h"
#include "setplot3dcolor.h"
#include "derive.h"
#include "dim.h"
#include "drawline3d.h"
#include "plotdirectionfield.h"
#include "plotorbit.h"
#include "plotdata3d.h"
#include "plotorbit3d.h"
#include "plotdirectionfield3d.h"

void init_internal(void)
{
  new Clear;
  new PlotData;
  new AnimateData;
  new EvalFunc;
  new CColor;
  new SetPlotColor;
  new AnimateData3D;
  new SetPlot3DColor;
  new Derive;
  new Dim;
  new DrawLine3D;
  new PlotDirectionField;
  new PlotOrbit;
  new PlotData3D;
  new PlotOrbit3D;
  new PlotDirectionField3D;
}
