/*  qtai_anim.h -
    This file is part of Kalamaris
    Copyright (C) 2000  Antonio Larrosa Jimenez
    Kalamaris' homepage : http://devel-home.kde.org/~larrosa/kalamaris.html

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Send comments and bug fixes to Antonio Larrosa <larrosa@kde.org>

 ***************************************************************************/
#include "qtai_plot.h"

class AIAnim : public AIPlot
{
  Q_OBJECT

protected:
  int          m_delay;
  int          m_animPoint[8];

  class QTimer *m_timer;

//  virtual void drawAnim( QPainter *p );
  virtual void drawFurtherGraph( QPainter *p );
public:
  AIAnim(QWidget *parent,const char *name=0,int b=512,int t=1);  
  virtual ~AIAnim();

  void setDelay(int d);
  int delay(void) const { return m_delay; };

public slots:
  void timerTriggered();

};
